## ubuntu-kylin-wizard 16.10.0

=== CMakeLists.txt ===
project (ubuntu-kylin-wizard)
cmake_minimum_required (VERSION 2.8.9)

include (GNUInstallDirs)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
set (CMAKE_CXX_FLAGS_DEBUG "-g3 -DWIZARD_DEBUG_BUILD")
set (CMAKE_CXX_FLAGS_RELEASE "")

#
# config.h
#
set (PREFIXPATH "${CMAKE_INSTALL_PREFIX}")
set (WIZARDDATADIR "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}")
set (PKGDATADIR "${WIZARDDATADIR}/images")
set (SOURCEDATADIR "${CMAKE_CURRENT_SOURCE_DIR}/resources")
set (LOCALE_DIR "${CMAKE_INSTALL_FULL_LOCALEDIR}")
# specify the domain directly rather than refering to a variable
# like ${PROJECT_NAME} to no confuse dh_translations
set (GETTEXT_PACKAGE "ubuntu-kylin-wizard")

configure_file (${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
include_directories(${CMAKE_BINARY_DIR})

#
# i18n
#

find_package (Gettext REQUIRED)

set (POT_FILE ${CMAKE_SOURCE_DIR}/po/${PROJECT_NAME}.pot)

add_custom_command(OUTPUT ${POT_FILE}
                   COMMAND xgettext -c --from-code=UTF-8 --files-from ${CMAKE_SOURCE_DIR}/po/POTFILES.in --keyword=_ -o ${POT_FILE} --copyright-holder="NUDT & Kylin Ltd" --msgid-bugs-address="https://bugs.launchpad.net/ubuntukylin" --no-wrap --no-location
                   DEPENDS ${CMAKE_SOURCE_DIR}/src/*.cpp
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src/
                   COMMENT "Extract translatable messages to ${POT_FILE}"
)

add_custom_target(pot_file ALL DEPENDS ${POT_FILE})

if (GETTEXT_FOUND)
    file (GLOB PO_FILES ${CMAKE_SOURCE_DIR}/po/*.po)
    GETTEXT_CREATE_TRANSLATIONS (${POT_FILE} ALL ${PO_FILES})
endif(GETTEXT_FOUND)

#
# XDG Autostart
#

set(
  WIZARD_XDG_AUTOSTART
  "${CMAKE_CURRENT_BINARY_DIR}/ubuntu-kylin-wizard.desktop"
)

configure_file(
  "ubuntu-kylin-wizard.desktop.in"
  ${WIZARD_XDG_AUTOSTART}
  @ONLY
)

install(
  FILES "${WIZARD_XDG_AUTOSTART}"
  DESTINATION "/etc/xdg/autostart"
)

# Resources
file (GLOB _datafiles "${CMAKE_CURRENT_SOURCE_DIR}/resources/*")
install (FILES ${_datafiles} DESTINATION ${PKGDATADIR})

find_package (PkgConfig REQUIRED)
set (WIZARD_DEPS
     cairo>=1.13.1
     gtk+-3.0>=3.1
     x11
     xtst
)
pkg_check_modules (CACHED_WIZARD_DEPS REQUIRED ${WIZARD_DEPS})

add_subdirectory (src)

=== debian/changelog ===
ubuntu-kylin-wizard (16.10.0) yakkety; urgency=medium

  [ feng-kylin ]
  * Code rafactor. 
  * Quit when resolution less than 1024x768 or in live mode.
  * Add support for gtk3.20.

  [ Iain Lane ]
  * debian/copyright: Some files are copyright Canonical.

 -- feng-kylin <jianfengli@ubuntukylin.com>  Mon, 03 Oct 2016 12:59:24 +0100

ubuntu-kylin-wizard (16.04.0) xenial; urgency=medium

  * Initial version. (LP: #1609207)

 -- feng-kylin <jianfengli@ubuntukylin.com>  Tue, 12 Apr 2016 09:38:14 +0000

## ubuntu-kylin-wizard 17.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,11 @@
 endif(GETTEXT_FOUND)
 
 #
+# man
+#
+set (mandir "${PREFIXPATH}/share/man")
+
+#
 # XDG Autostart
 #
 
@@ -78,3 +83,4 @@
 pkg_check_modules (CACHED_WIZARD_DEPS REQUIRED ${WIZARD_DEPS})
 
 add_subdirectory (src)
+add_subdirectory (man)

=== man/CMakeLists.txt ===
set(manpages "ubuntu-kylin-wizard.1")

install(FILES ${manpages} DESTINATION "${mandir}/man1")

=== src/CMakeLists.txt ===
set (SRC_LIST main.cpp
              blur.cpp
              EMConverter.cpp
              Page.cpp
              RawPixel.cpp
              Wizard.cpp
              WizardSettings.cpp
)

include_directories(${CACHED_WIZARD_DEPS_INCLUDE_DIRS})
add_definitions(${CACHED_WIZARD_DEPS_CFLAGS_OTHER})
add_executable(ubuntu-kylin-wizard ${SRC_LIST})
target_link_libraries(ubuntu-kylin-wizard ${CACHED_WIZARD_DEPS_LIBRARIES})

install (TARGETS ubuntu-kylin-wizard DESTINATION "bin")

=== debian/changelog ===
ubuntu-kylin-wizard (17.04.0) zesty; urgency=medium

  * Fix some theme errors.
  * Update the thumbnail pictures for zesty.
  * Add manpage for ubuntu-kylin-wizard.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 23 Feb 2017 10:03:48 +0800

=== debian/control ===
Source: ubuntu-kylin-wizard
Section: gnome
Priority: optional
Maintainer: feng-kylin <jianfengli@ubuntukylin.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libcairo2-dev,
               libgtk-3-dev (>= 3.1),
               libpango1.0-dev,
               libxtst-dev,
Standards-Version: 3.9.8
Homepage: https://launchpad.net/ubuntu-kylin-wizard

Package: ubuntu-kylin-wizard
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Setup wizard for Ubuntu Kylin
 The Ubuntu Kylin wizard provides a friendly guide when user first logs in. It
 shows them some basic information about the launcher, dash, indicators,
 control center, and so on.

## ubuntu-kylin-wizard 17.04.0build1

=== debian/changelog ===
ubuntu-kylin-wizard (17.04.0build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:03 +0100
